# NIRS_Workflow

## Getting started
This package aims to provide a workflow for users who want to perform chemical analyses and predict characteristics using the NIRS technique.  

The process includes:
- sample selection - you can upload all your NIRS spectra and it'll help to select the samples to analyse chemically.


- model creation - the PINARD (https://github.com/GBeurier/pinard) package creates a prediction model with spectra and related chemical analysis.- 


- predictions - the PINARD package uses the model to predict chemical values for unknown samples.
 
## Installation
This package is written in python. You can clone the repository: git clone https://src.koda.cnrs.fr/nicolas.barthes.5/nirs_workflow.git

Then install the requirements: pip install -r requirements.txt

You can then run: streamlit run ./app.py from the CLI.

The app will then open in your default browser.

## Usage
The web app allows you to process sample selection, model creation and predictions.

## Authors and acknowledgment
Contributors:
- Nicolas Barthes (CNRS)
- 

## License
CC BY
